alphas = csvread('Output/AUSTRALIA_alphas.csv');
xis = csvread('Output/AUSTRALIA_xis.csv');
sigmas = csvread('Output/AUSTRALIA_sigmas.csv');
mus = csvread('Output/AUSTRALIA_mus.csv');
load('Data/cmap_temp.mat')

len = 25;
fs = zeros(35,len);
fs2 = zeros(35,len);
fs3 = zeros(35,len);
fs4 = zeros(35,len);
xs = zeros(35,len);
xs2 = zeros(35,len);
xs3 = zeros(35,len);
xs4 = zeros(35,len);
max_lim = 2;
min_lim = -1;

for i = 1:35
    [fs(i,:),xs(i,:)] = ksdensity(alphas(i,:),linspace(min_lim,max_lim,len));
    [fs2(i,:),xs2(i,:)] = ksdensity(xis(i,:),linspace(-.2,0,len));
    [fs3(i,:),xs3(i,:)] = ksdensity(sigmas(i,:),linspace(1.4,1.9,len));
    [fs4(i,:),xs4(i,:)] = ksdensity(mus(i,:),linspace(26.3,27,len));

%     plot(xi,f)
end

n = zeros(35,len);
for i = 1:35
    if i == 1
        [n(i,:),edges]=histcounts(alphas(i,:),len);
    else
        [n(i,:),edges]=histcounts(alphas(i,:),edges);
    end
    edges_final = movmean(edges,2);
    edges_final = edges_final(2:end);
    n(i,:) = n(i,:)/sum(n(i,:));
end

high = zeros(35,1);
low = zeros(35,1);
for i = 1:35
    high(i) = prctile(alphas(i,:),95);
    low(i) = prctile(alphas(i,:),5);
end

figure
subplot(2,2,1)
ax = gca;
title('(a)');
ax.TitleHorizontalAlignment = 'left'; 
hold on
grid on
box on
set(gca,'FontSize',16)
[X,Y] = meshgrid(1:35,edges_final);
contourf(X',Y',(n/(edges(2)-edges(1))),[0,0.1,0.4,0.7,1,1.3,1.6],'k')
scatter(1:35,low,'r','*')
scatter(1:35,high,'r','*')
ylim([-0.7,1.8])
xlim([1,35])
ylabel('\alpha')
hcb = colorbar;
hcb.Title.String = 'P(\alpha) \times 100';
set(gca,'TickDir','out')

n = zeros(35,len);
for i = 1:35
    if i == 1
        [n(i,:),edges]=histcounts(xis(i,:),len);
    else
        [n(i,:),edges]=histcounts(xis(i,:),edges);
    end
    edges_final = movmean(edges,2);
    edges_final = edges_final(2:end);
    n(i,:) = n(i,:)/sum(n(i,:));
end

high = zeros(35,1);
low = zeros(35,1);
for i = 1:35
    high(i) = prctile(xis(i,:),95);
    low(i) = prctile(xis(i,:),5);
end

subplot(2,2,2)
ax = gca;
title('(b)');
ax.TitleHorizontalAlignment = 'left';  
hold on
grid on
box on
set(gca,'FontSize',16)
[X,Y] = meshgrid(1:35,edges_final);
contourf(X',Y',(n/(edges(2)-edges(1))),[0,0.1,2.1,4.1,6.1,8.1,10.1],'k')
scatter(1:35,low,'r','*')
scatter(1:35,high,'r','*')
ylim([-0.2,0])
xlim([1,35])
ylabel('\xi')
hcb = colorbar;
hcb.Title.String = 'P(\xi) \times 100';
set(gca,'TickDir','out')

n = zeros(35,len);
for i = 1:35
    if i == 1
        [n(i,:),edges]=histcounts(sigmas(i,:),len);
    else
        [n(i,:),edges]=histcounts(sigmas(i,:),edges);
    end
    edges_final = movmean(edges,2);
    edges_final = edges_final(2:end);
    n(i,:) = n(i,:)/sum(n(i,:));
end

high = zeros(35,1);
low = zeros(35,1);
for i = 1:35
    high(i) = prctile(sigmas(i,:),95);
    low(i) = prctile(sigmas(i,:),5);
end

subplot(2,2,3)
ax = gca;
title('(c)');
ax.TitleHorizontalAlignment = 'left'; 
hold on
grid on
box on
set(gca,'FontSize',16)
[X,Y] = meshgrid(1:35,edges_final);
contourf(X',Y',(n/(edges(2)-edges(1))),[0,0.1,1.6,3.1,4.6,6.1,7.6],'k')
scatter(1:35,low,'r','*')
scatter(1:35,high,'r','*')
ylim([1.4,1.9])
xlim([1,35])
xlabel('# of ensemble members')
ylabel('\sigma')
hcb = colorbar;
hcb.Title.String = 'P(\sigma) \times 100';
set(gca,'TickDir','out')

n = zeros(35,len);
for i = 1:35
    if i == 1
        [n(i,:),edges]=histcounts(mus(i,:),len);
    else
        [n(i,:),edges]=histcounts(mus(i,:),edges);
    end
    edges_final = movmean(edges,2);
    edges_final = edges_final(2:end);
    n(i,:) = n(i,:)/sum(n(i,:));
end

high = zeros(35,1);
low = zeros(35,1);
for i = 1:35
    high(i) = prctile(mus(i,:),95);
    low(i) = prctile(mus(i,:),5);
end

subplot(2,2,4)
ax = gca;
title('(d)');
ax.TitleHorizontalAlignment = 'left'; 
hold on
grid on
box on
set(gca,'FontSize',16)
[X,Y] = meshgrid(1:35,edges_final);
contourf(X',Y',(n/(edges(2)-edges(1))),[0,0.1,0.8,1.5,2.2,2.9,3.6],'k')
scatter(1:35,low,'r','*')
scatter(1:35,high,'r','*')
ylim([26.3,27.5])
xlim([1,35])
xlabel('# of ensemble members')
ylabel('\mu_0')
hcb = colorbar;
hcb.Title.String = 'P(\mu_0) \times 100';
set(gca,'TickDir','out')

set(gcf, 'PaperUnits', 'inches'); set(gcf, 'PaperSize', [10,10]);
set(gcf, 'PaperPosition', [0 0 10 10]); % [left, bottom, width, height];
saveas(gcf,sprintf('Figures/Australia_temp_parameters.pdf'));